'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.update = exports.disable = exports.enable = undefined;

var _exec = require('./exec');

var _flowRuntime = require('flow-runtime');

var _flowRuntime2 = _interopRequireDefault(_flowRuntime);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const enable = exports.enable = (time = 60) => {
  let _timeType = _flowRuntime2.default.number();

  _flowRuntime2.default.param('time', _timeType).assert(time);

  (0, _exec.runSyncAsUser)('./screensaver.sh', ['enable', time]);
};

const disable = exports.disable = () => {
  (0, _exec.runSyncAsUser)('./screensaver.sh', ['disable']);
};

let screensaverState = null;

const update = exports.update = config => {
  let _configType = _flowRuntime2.default.object();

  _flowRuntime2.default.param('config', _configType).assert(config);

  if (config.screensaver === screensaverState) return;

  screensaverState = config.screensaver;

  if (config.screensaver) {
    enable(config.screensaver);
  } else {
    disable();
  }
};
//# sourceMappingURL=screensaver.js.map