'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.updateConfig = updateConfig;
exports.getTime = getTime;
exports.get = get;

var _configstore = require('configstore');

var _configstore2 = _interopRequireDefault(_configstore);

var _deepEqual = require('deep-equal');

var _deepEqual2 = _interopRequireDefault(_deepEqual);

var _argv = require('./argv');

var _networkInterface = require('./utils/networkInterface');

var _networkInterface2 = _interopRequireDefault(_networkInterface);

var _package = require('../package.json');

var _availableDisplays = require('./utils/availableDisplays');

var _flowRuntime = require('flow-runtime');

var _flowRuntime2 = _interopRequireDefault(_flowRuntime);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const defaultConfig = () => {
  const networkInterface = (0, _networkInterface2.default)();

  if (!_availableDisplays.availableWebBrowsers.length) {
    return { display: 'disabled' };
  }

  return {
    display: _availableDisplays.availableWebBrowsers[0],
    url: `${_argv.serverHost}/no-config?ip=${networkInterface && networkInterface.ip}`
    // url: `http://localhost${webPort === 80 ? '' : `:${webPort}`}/no-config`,
  };
};

const configStore = new _configstore2.default(_package.name, defaultConfig());
let config = configStore.all;

if (!config || !config.display || config.url && config.url.startsWith('undefined')) {
  config = defaultConfig();
}

function save() {
  configStore.all = config;
}

// if (availableDisplays.indexOf(config.display) === -1) {
//   config.display = 'chromium';
//   save();
// }

function updateConfig(newConfig) {
  let _newConfigType = _flowRuntime2.default.object();

  _flowRuntime2.default.param('newConfig', _newConfigType).assert(newConfig);

  if ((0, _deepEqual2.default)(config, newConfig)) {
    return false;
  }

  config = newConfig;
  save();
  return true;
}

function getTime() {
  return config.time;
}

function get() {
  return config;
}
//# sourceMappingURL=config.js.map