'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _alpNode = require('alp-node');

var _deviceService = require('../../deviceService');

var _deviceService2 = _interopRequireDefault(_deviceService);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = (0, _alpNode.newController)({
  async index(ctx) {
    switch (ctx.method) {
      case 'GET':
        {
          ctx.body = await _deviceService2.default.getScreenInfo();
          break;
        }
      case 'POST':
        {
          const body = await ctx.parseBodyJson();
          if (!['on', 'off'].includes(body.state)) {
            ctx.status = 400;
          } else {
            ctx.body = await _deviceService2.default[body.state === 'off' ? 'setScreenOff' : 'setScreenOn']();
          }
          break;
        }
      default:
        ctx.status = 404;
        break;
    }
  }
});
//# sourceMappingURL=screenController.js.map