'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.update = exports.disable = exports.enable = undefined;

var _exec = require('./exec');

const enable = exports.enable = (time = 60) => {
  (0, _exec.runSyncAsUser)('./screensaver.sh', ['enable', time]);
};

const disable = exports.disable = () => {
  (0, _exec.runSyncAsUser)('./screensaver.sh', ['disable']);
};

let screensaverState = null;

const update = exports.update = config => {
  if (config.screensaver === screensaverState) return;

  screensaverState = config.screensaver;

  if (config.screensaver) {
    enable(config.screensaver);
  } else {
    disable();
  }
};
//# sourceMappingURL=screensaver.js.map