'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.exit = exit;

var _nightingaleAppConsole = require('nightingale-app-console');

var _manager = require('./manager');

var _client = require('./client');

var _forkServer = require('./fork-server');

function exit() {
  _nightingaleAppConsole.logger.warn('exiting...');
  Promise.all([_forkServer.childServer.kill(), (0, _client.close)(), (0, _manager.cleanExit)()]).then(() => {
    _nightingaleAppConsole.logger.warn('exit !');
    process.exit(0);
  });
}

process.on('SIGINT', exit);
process.on('SIGTERM', exit);
//# sourceMappingURL=index.js.map