import { runSyncAsUser } from './exec';

export const enable = (time: number = 60) => {
  runSyncAsUser('./screensaver.sh', ['enable', time]);
};

export const disable = () => {
  runSyncAsUser('./screensaver.sh', ['disable']);
};

let screensaverState = null;

export const update = (config: Object) => {
  if (config.screensaver === screensaverState) return;

  screensaverState = config.screensaver;

  if (config.screensaver) {
    enable(config.screensaver);
  } else {
    disable();
  }
};
